For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Order

Update an existing futures order on PointPay Exchange.

Details

POST https://api.pointpay.io/fapi/v1/private/trade/update-order

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Base64-encoded request body

X-TXC-SIGNATURE*

STRING

HmacSHA512 signature of the request body

Request Body

Name
Type
Description
Example

symbol*

STRING

Trading pair

BTCUSDT

orderId

STRING

Order ID. Required if orderLinkId is not set

6ac24069-2bd7-4ed4-8b4e-8d62fa564b3c

orderLinkId

STRING

System order ID. Required if orderId is not set

6ac24069-2bd7-4ed4-8b4e-8d62fa564b3c

triggerPrice

NUMERIC

Trigger price

64000

qty

NUMERIC

Updated order quantity

0.02

price

NUMERIC

Updated order price

65000

takeProfit

NUMERIC

Take-profit price

68000

stopLoss

NUMERIC

Stop-loss price

62000

tpLimitPrice

NUMERIC

Take-profit limit price

67950

slLimitPrice

NUMERIC

Stop-loss limit price

62050

tpslMode

STRING

TP/SL mode. Available values: Full, Partial

Full

tpTriggerBy

STRING

Take-profit trigger source. Available values: LastPrice, IndexPrice, MarkPrice

MarkPrice

slTriggerBy

STRING

Stop-loss trigger source. Available values: LastPrice, IndexPrice, MarkPrice

MarkPrice

triggerBy

STRING

Trigger price source. Available values: LastPrice, IndexPrice, MarkPrice

MarkPrice

symbol is required. Send either orderId or orderLinkId.

CURL Example

Empty array returned when the update succeeds

Response example:

Response example

Returned when the request is invalid.

Common reasons:

  • Invalid request format

  • Invalid headers

Response example

Returned when authentication headers are missing / invalid or API Keys are not enabled.

Last updated